GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXWireframeSystem Class Reference

Class for handling a Wireframe System. More...

`#include <GTXWireframeSystem.hpp>`

## Public Member Functions
| GTXWireframeSystem ()
| Empty Constructor.
| GTXWireframeSystem (const GTXWireframeSystem &wiresys)
| Copy Constructor.
GTXWireframeSystem | operator= (const GTXWireframeSystem &wiresys)
| Operator equals.
| ~GTXWireframeSystem ()
| Destructor.
int | GetWireframesNumber () const
| Get the number of Wireframes Number of a Wireframe System. More...
GTXWireframe | GetWireframe (int rank) const
| Return one wireframe of a Wireframe System. More...
void | AddWireframe (const GTXWireframe &wire)
| add a Wireframe to a Wireframe System More...

## Friends
class | GTXClient

## Detailed Description

Class for handling a Wireframe System.

Examples:
  wireframes.cpp.

## Member Function Documentation

void GTXWireframeSystem::AddWireframe | ( | const GTXWireframe & | wire | ) |

add a Wireframe to a Wireframe System

This function adds a Wireframe to a Wireframe System

Parameters

  wire | Wireframe

Examples:
  wireframes.cpp.

GTXWireframe GTXWireframeSystem::GetWireframe | ( | int | rank | ) | const

Return one wireframe of a Wireframe System.

This function reads the n'th wireframe of a Wireframe System

Returns
  Return Wireframes

Parameters

  rank | Rank of the wireframe (between 0 and n_wireframes-1)

Exceptions

  GTXError |

Examples:
  wireframes.cpp.

int GTXWireframeSystem::GetWireframesNumber | ( |  | ) | const

Get the number of Wireframes Number of a Wireframe System.

This function reads the number of Wireframes Number from a Wireframe System

Returns
  Return Wireframes Number

Examples:
  wireframes.cpp.

The documentation for this class was generated from the following files:

- include/GTXWireframeSystem.hpp
- src/gtxclient/GTXWireframeSystem.cpp